Clarity Service Management

Expand all | Collapse all

upgrade to 17.1 failed at mdb installation

Jump to Best Answer
  • 1.  upgrade to 17.1 failed at mdb installation

    Posted 09-07-2019 03:49 AM
    Team,

    we are upgrading CA Service Cataog to 17.1 and when i ran the installer, it failed at MDB installation.
    Below is the error from mdb_install.log. Please suggest how can this be resolved.

    09-07,02:44:43 INFO -    CREATE procedure [dbo].[usm_sp_system_change_details_multi_param]09-07,02:44:43 INFO -    CREATE procedure [dbo].[usm_sp_system_change_details_multi_param]09-07,02:44:43 INFO -    @idlist varchar(8000)09-07,02:44:43 INFO -    as09-07,02:44:43 INFO -    begin09-07,02:44:43 INFO -    select id, name, data_type, new_value as old_value, new_value, multi_value from usm_system_change_detail(NOLOCK)  09-07,02:44:43 INFO -    where id in (SELECT splitdata FROM dbo.fnSplitString(@idlist,''))09-07,02:44:43 INFO -    endUpdate sql failed:CREATE procedure [dbo].[usm_sp_system_change_details_multi_param]@idlist varchar(8000)asbeginselect id, name, data_type, new_value as old_value, new_value, multi_value from usm_system_change_detail(NOLOCK)  where id in (SELECT splitdata FROM dbo.fnSplitString(@idlist,''))end09-07,02:44:43 DEBUG - Cannot resolve the collation conflict between "SQL_Latin1_General_CP1_CI_AS" and "SQL_Latin1_General_CP1_CS_AS" in the equal to operation.09-07,02:44:43 INFO - MDBTools_0308I - Installation of last object failed, requeuing it to the end of the list.09-07,02:44:43 INFO - MDBTools_0305E - Error processing procedure 'usm_sp_system_change_details_multi_param.xml'; details follow:09-07,02:44:43 ERROR - com.microsoft.sqlserver.jdbc.SQLServerException: Cannot resolve the collation conflict between "SQL_Latin1_General_CP1_CI_AS" and "SQL_Latin1_General_CP1_CS_AS" in the equal to operation.com.microsoft.sqlserver.jdbc.SQLServerException: Cannot resolve the collation conflict between "SQL_Latin1_General_CP1_CI_AS" and "SQL_Latin1_General_CP1_CS_AS" in the equal to operation. at com.microsoft.sqlserver.jdbc.SQLServerException.makeFromDatabaseError(SQLServerException.java:217) at com.microsoft.sqlserver.jdbc.SQLServerStatement.getNextResult(SQLServerStatement.java:1655) at com.microsoft.sqlserver.jdbc.SQLServerStatement.doExecuteStatement(SQLServerStatement.java:885) at com.microsoft.sqlserver.jdbc.SQLServerStatement$StmtExecCmd.doExecute(SQLServerStatement.java:778) at com.microsoft.sqlserver.jdbc.TDSCommand.execute(IOBuffer.java:7505) at com.microsoft.sqlserver.jdbc.SQLServerConnection.executeCommand(SQLServerConnection.java:2445) at com.microsoft.sqlserver.jdbc.SQLServerStatement.executeCommand(SQLServerStatement.java:191) at com.microsoft.sqlserver.jdbc.SQLServerStatement.executeStatement(SQLServerStatement.java:166) at com.microsoft.sqlserver.jdbc.SQLServerStatement.execute(SQLServerStatement.java:751) at com.ca.mdbtools.DriverApp.updateDB(DriverApp.java:2697) at com.ca.mdbtools.DriverApp.apply(DriverApp.java:2256) at com.ca.mdbtools.DriverApp.installSchemaDriver(DriverApp.java:1085) at com.ca.mdbtools.Utilities.run(Utilities.java:1678) at com.ca.mdbtools.Utilities.main(Utilities.java:1042)

    Thanks,
    Rajasheker Chittanur


  • 2.  RE: upgrade to 17.1 failed at mdb installation

     
    Posted 09-08-2019 08:59 PM
    Hello Rajesheker,

    Please see this Knowledge Article for a match to those symptoms:

    "CA Service Catalog Configuration: CA MDB" fails when upgrading to 17.1


    Thanks, Kyle_R.


  • 3.  RE: upgrade to 17.1 failed at mdb installation

    Posted 09-10-2019 10:27 AM

    Hello,

     

    Below link is not working.

     

     

    Thanks and Regards,

     

    Rajasheker Chittanur 

    Service Catalog Development and Support
    Baker Hughes, a GE company

    Office: +1 713 879 4625| Mobile: +1 469 434 4384

    Rajasheker.Chittanur@bakerhughes.com

     






  • 4.  RE: upgrade to 17.1 failed at mdb installation

    Posted 09-10-2019 12:31 PM
    Please try the following URL to access the KB article:

    https://ca-broadcom.wolkenservicedesk.com/external/article?articleId=91788

    ------------------------------
    Paul Coccimiglio
    Principal Support Engineer
    Broadcom Inc.
    ------------------------------



  • 5.  RE: upgrade to 17.1 failed at mdb installation

    Posted 09-10-2019 12:57 PM

    I tried this and it didn't work L

     

    Thanks and Regards,

     

    Rajasheker Chittanur 

    Service Catalog Development and Support
    Baker Hughes, a GE company

    Office: +1 713 879 4625| Mobile: +1 469 434 4384

    Rajasheker.Chittanur@bakerhughes.com

     






  • 6.  RE: upgrade to 17.1 failed at mdb installation

    Posted 09-10-2019 01:08 PM
    Based on the error message, it almost seems like your master database has one set of collation vs mdb/tempdb which has another collation.  Maybe this is something that  your DBA can take a look at?

    ------------------------------
    Paul Coccimiglio
    Principal Support Engineer
    Broadcom Inc.
    ------------------------------



  • 7.  RE: upgrade to 17.1 failed at mdb installation

    Posted 09-10-2019 02:05 PM

    Hello,

     

    Thank you for the inputs. I verified the collation for master and MDB. It's the same 'SQL_Latin1_General_CP1_CI_AS'.

     

    Thanks and Regards,

     

    Rajasheker Chittanur 

    Service Catalog Development and Support
    Baker Hughes, a GE company

    Office: +1 713 879 4625| Mobile: +1 469 434 4384

    Rajasheker.Chittanur@bakerhughes.com

     






  • 8.  RE: upgrade to 17.1 failed at mdb installation

    Posted 09-10-2019 02:51 PM
    If you have done not so already, I would recommend opening a Support Case so that the Catalog Support team can investigate further.

    ------------------------------
    Paul Coccimiglio
    Principal Support Engineer
    Broadcom Inc.
    ------------------------------



  • 9.  RE: upgrade to 17.1 failed at mdb installation

    Posted 09-10-2019 05:25 PM

    I did that already, but there is no proper help from Broadcom.

    Before when CA used to support, they used to support well and used to provide solution. After Broadcom has taken over, we are not at all getting good support L

     

    Thanks and Regards,

     

    Rajasheker Chittanur 

    Service Catalog Development and Support
    Baker Hughes, a GE company

    Office: +1 713 879 4625| Mobile: +1 469 434 4384

    Rajasheker.Chittanur@bakerhughes.com

     






  • 10.  RE: upgrade to 17.1 failed at mdb installation

    Posted 09-11-2019 09:09 AM

    Hi, 

    You need to check the collation noted within the fnSplitString function. Please Expand and go to Functions > Locate dbo.fnSplitString >  Right-click on it > Modify > Send me the results.

    Regards, 
    Pablo




  • 11.  RE: upgrade to 17.1 failed at mdb installation

    Posted 09-11-2019 03:53 PM
    USE [mdb]
    GO
    /****** Object: UserDefinedFunction [dbo].[fnSplitString] Script Date: 9/11/2019 2:50:01 PM ******/
    SET ANSI_NULLS ON
    GO
    SET QUOTED_IDENTIFIER ON
    GO
    ALTER FUNCTION [dbo].[fnSplitString]
    (
    @string NVARCHAR(MAX),
    @delimiter CHAR(1)
    )
    RETURNS @output TABLE(splitdata NVARCHAR(MAX) COLLATE SQL_Latin1_General_CP1_CS_AS)

    BEGIN
    DECLARE @start INT, @end INT
    SELECT @start = 1, @end = CHARINDEX(@delimiter, @string)
    WHILE @start < LEN(@string) + 1 BEGIN
    IF @end = 0
    SET @end = LEN(@string) + 1

    INSERT INTO @output (splitdata)
    VALUES(SUBSTRING(@string, @start, @end - @start))
    SET @start = @end + 1
    SET @end = CHARINDEX(@delimiter, @string, @start)

    END
    RETURN
    END


  • 12.  RE: upgrade to 17.1 failed at mdb installation

    Posted 09-12-2019 11:41 AM
    Thanks. Did you modify the collation in this function already? Based on the logs the original value was SQL_Latin1_General_CP1_CI_AS.

    If so, try to continue the installation. If the error persists, provide the new error message.

    Regards, 
    Pablo



  • 13.  RE: upgrade to 17.1 failed at mdb installation
    Best Answer

    Posted 09-12-2019 01:07 PM

    Hello,

     

    Yeah we tried it. but still we had issues, so what we did was – we installed 17.0 directly, and then we were able to complete this upgrade successfully after deleting the key on usm_reqest_item_form table.

     

    But, we have other issues after upgrading L I will post my query separately -

     

    Thanks and Regards,

     

    Rajasheker Chittanur 

    Service Catalog Development and Support
    Baker Hughes, a GE company

    Office: +1 713 879 4625| Mobile: +1 469 434 4384

    Rajasheker.Chittanur@bakerhughes.com